Pagina 9 di 13 PrimaPrima ... 7891011 ... UltimaUltima
Risultati da 81 a 90 di 127

Discussione: MACRO per Solid Edge

  1. #81
    Utente Standard L'avatar di Davimont
    Iscritto dal
    2007
    Messaggi
    460
    Professione
    Disegnatore meccanico Fai da te.
    Regione
    Lombardia
    Software
    Solid Edge ST8

    Predefinito

    Grazie Papao
    Prima o poi mi metto anche io a studiare! Mi son sempre piaciuti i linguaggi di programmazione ma manca il tempo.
    Provata e funziona!
    Imparare è un'esperienza; tutto il resto è solo informazione. A. Einstein

  2. #82
    Utente Standard
    Iscritto dal
    2013
    Messaggi
    115
    Professione
    Progettista
    Regione
    Marche
    Software
    Solid Edge v19

    Predefinito

    Ciao.
    Una domanda per gli esperti:
    se in una macro ho la variabile pippo e all'interno di un solid edge ho un part aperto che contiene una variabile pluto (che rappresenta una lunghezza, o un angolo, o è una variabile di soppressione....) che comando devo usare per fare in modo che a pluto venga assegnato il valore di pippo?
    Grazie

  3. #83
    Moderatore L'avatar di Be_on_edge
    Iscritto dal
    2007
    Messaggi
    2596
    Professione
    Progettazione
    Regione
    Emilia Romagna
    Software
    Solid Edge

    Predefinito

    Citazione Originariamente Scritto da ApeGana Visualizza Messaggio
    Ciao.
    Una domanda per gli esperti:
    se in una macro ho la variabile pippo e all'interno di un solid edge ho un part aperto che contiene una variabile pluto (che rappresenta una lunghezza, o un angolo, o è una variabile di soppressione....) che comando devo usare per fare in modo che a pluto venga assegnato il valore di pippo?
    Grazie
    prima di tutto devi connettere la macro a solid edge ed al file aperto, poi puoi valorizzare la tua variabile.
    A seconda del linguaggio che utilizzi la sintassi sarà differente

    Esempio in VB:

    Codice:
    Dim objApp as SolidEdge.Framework.Application
    Dim objPar as SolidEdge.Part.PartDocument
    
    Set objApp = Getobject (,"SolidEdge.Application")
    Set objPar = objApp.ActiveDocument
    
    Set Pluto = objPar.Variables.Item("Pippo").value
    L'ho scritta a memoria quindi potrebbero esserci degli errorini, comunque nell'SDK di SolidEdge ci sono molti esempi.

    Ciao
    Francesco
    Cintura nera di solid edge

  4. Il seguente utente ha ringraziato Be_on_edge per questo post

    ApeGana (23-05-2015)

  5. #84
    Utente Standard
    Iscritto dal
    2013
    Messaggi
    115
    Professione
    Progettista
    Regione
    Marche
    Software
    Solid Edge v19

    Predefinito

    Grazie BOE, sempre disponibilissimo!
    Alle prime 4 righe c'èero, ma non riuscivo a trovare nella guida alla programmazione il comando per l'assegnazione della variabile.

    Però mi viene un dubbio: scritta così non fa il contrario di quello che serve a me?
    Scambiando i due pezzi va bene lo stesso?

    Codice:
    Set objPar.Variables.Item("Pippo").value = Pluto

  6. #85
    Moderatore L'avatar di Be_on_edge
    Iscritto dal
    2007
    Messaggi
    2596
    Professione
    Progettazione
    Regione
    Emilia Romagna
    Software
    Solid Edge

    Predefinito

    Pippo = objPar.Variables.Item("Pluto").value
    Francesco
    Cintura nera di solid edge

  7. #86
    Utente Standard
    Iscritto dal
    2013
    Messaggi
    115
    Professione
    Progettista
    Regione
    Marche
    Software
    Solid Edge v19

    Predefinito

    Chiedo scusa, sabato quando ho visto la tua risposta poi ho fatto confusione con i nomi e ho scritto una stupidaggine
    Io devo modificare una lunghezza (pluto) in Solid Edge secondo il valore di una variabile (pippo) presente nella macro.

    Set objPar.Variables.Item("Pluto").value = Pippo

    Così va bene??

  8. #87
    Utente Standard
    Iscritto dal
    2008
    Messaggi
    886
    Professione
    disegnatore
    Regione
    Romagna
    Software
    Solid Edge

    Predefinito

    io faccio così: ti riporto alcune righe dalla macro Simulator per Solidedge che avevo già pubblicato sul forum.
    Ho riportato sia la modifica, sia la lettura della variabile. Scrivi in millimetri ma leggi in metri. Dipende dalle impostazioni di sistema (default metrico).

    Codice:
    Dim objApp As SolidEdgeFramework.Application
    Dim objVars As SolidEdgeFramework.Variables
    Dim objVar As SolidEdgeFramework.Variable
    
    Const PI = 3.14159265358979
    Const Gradi = 180 / PI
    
    Set objApp = GetObject(, "SolidEdge.Application")
    Set objVars = objApp.ActiveDocument.Variables
    
    Dim varSetName, varSetValue
    varSetName = "Diametro"
    varSetValue = 100 'mm		'xlsActiveSheetxlsActiveSheet.Cells(1, 1).Value
    
    'esempio di modifica variabile
    Call objVars.Edit(varSetName, varSetValue) 'default input system (mm, degrees,...)
    
    
    
    'esempio di lettura di una variabile
    Set objVar = objVars.Item(varGetName) 'nb: trova le Var non le Dim
    Select Case objVar.UnitsType   'non ho trovato tabella di corrispondenza, controllati a mano da finestra Variabili Locali
    	Case 1  ' distanza
    		varGetValue = objVar.Value * 1000 'm to mm
    	Case 2  ' angolo
    		varGetValue = objVar.Value * Gradi 'rad to gradi
    	Case 58 ' scalare
    		varGetValue = objVar.Value
    	Case Else
    		varGetValue = objVar.Value
    End Select

  9. Il seguente utente ha ringraziato vespa_83 per questo post

    ApeGana (25-05-2015)

  10. #88
    Utente Standard
    Iscritto dal
    2013
    Messaggi
    115
    Professione
    Progettista
    Regione
    Marche
    Software
    Solid Edge v19

    Predefinito

    Ringrazio sia BOE che Vespa.
    Ho provato in entrambi i modi e ho risolto.

    Per la cronaca:
    Premetto che sto lavorando da Excel e in questo caso non avrò necessità di compilare.
    Sempre sotto le condizioni:

    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Set objApp = GetObject(, "SolidEdge.Application")
    Set objDoc = objApp.ActiveDocument

    con

    objDoc.Variables.Item("Pluto").value = Pippo

    la variabile Pluto assume il valore di Pippo moltiplicato per 1000, poco male, ho risolto modificando in

    objDoc.Variables.Item("Pluto").value = Pippo/1000

    ma questo metodo funzionava per la modifica di variabili derivanti da quote (tipo dim in solid edge) ma non per una variabile di soppressione (tipo var).

    con

    Call objDoc.Variables.Edit("Pluto", Pippo)

    invece funziona in entrambi i casi e non ci sono problemi di scala.


    Sempre per la cronaca la macro mi serviva per creare in automatico n par di viti di dimensioni variabili in modo che ogni file avesse il nome corretto per il nostro archivio aziendale e le giuste proprietà personalizzate.
    Sicuramente sono attività già affrontate e risolte quasi da tutti, ma se a qualcune servisse sono a disposizione.

    Ape

  11. #89
    Utente Junior L'avatar di jxay
    Iscritto dal
    2011
    Messaggi
    28
    Professione
    disegnatore cad
    Regione
    marche
    Software
    SolidWorks-SolidEdge

    Predefinito

    Citazione Originariamente Scritto da cacciatorino Visualizza Messaggio
    Macro "FILETTATURE" da Be_on_Edge.

    Serve ad eliminare il valore del diamentro nominale dalle quote desiderate ed inserire la corrispondente indicazione di filettatura.

    http://www.cad3d.it/forum1/showthread.php?t=19167
    Esiste una macro simile a questa citata, ma per i fori svasati e lamati (TSEI,TCEI)?
    e magari anche il numero dei fori dello stesso tipo
    Mi sono cerato una lista di impostazioni salvate con i vari nomi "TCEI M10" ecc.. e quei nomi potrebbero essere usati per dare la quota al foro..
    Spero di essere stato chiaro.
    Grazie
    ciao

  12. #90
    Moderatore L'avatar di Be_on_edge
    Iscritto dal
    2007
    Messaggi
    2596
    Professione
    Progettazione
    Regione
    Emilia Romagna
    Software
    Solid Edge

    Predefinito

    Citazione Originariamente Scritto da jxay Visualizza Messaggio
    Esiste una macro simile a questa citata, ma per i fori svasati e lamati (TSEI,TCEI)?
    e magari anche il numero dei fori dello stesso tipo
    Mi sono cerato una lista di impostazioni salvate con i vari nomi "TCEI M10" ecc.. e quei nomi potrebbero essere usati per dare la quota al foro..
    Spero di essere stato chiaro.
    Grazie
    ciao
    Lo puoi fare senza il bisogno di alcuna macro, basta che vai ad "Insegnare" a Solid Edge come vuoi che compaio la descrizione.
    Per fare questo devi andare nelle impostazioni dello stile quota da te utilizzato, scheda "Richiamo feature" ed andare ad inserire le tue personalizzazioni.

    A questo punto potrai richiamare in automatico questo stile per ogni foro ed anche nella tabella di foratura.

    Magari approfondisci con la guida, se poi hai bisogno chiedi qui.

    Ciao
    Francesco
    Cintura nera di solid edge


  • Pagina 9 di 13 PrimaPrima ... 7891011 ... UltimaUltima

    Discussioni Simili

    1. MACRO-TUTORIAL-ESEMPI per Solid Edge
      Di cacciatorino nel forum Solid Edge
      Risposte: 2
      Ultimo Messaggio: 20-05-2010, 11: 30
    2. Risposte: 8
      Ultimo Messaggio: 01-07-2009, 11: 10
    3. Sviluppo macro in .NET per Solid Edge ST
      Di checco03 nel forum Solid Edge
      Risposte: 4
      Ultimo Messaggio: 19-09-2008, 13: 51
    4. Risposte: 2
      Ultimo Messaggio: 17-03-2008, 17: 42
    5. [Recuperato] Solid Works o Solid Edge ?Feature cam o Edge cam o Esprit?
      Di Oldwarper nel forum CAD meccanici a confronto
      Risposte: 3
      Ultimo Messaggio: 19-02-2008, 16: 53

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  




    CAD3D.it - la community dei progettisti